Public tracking

The link a delivery recipient receives. It does not require signing in.

Get a delivery's tracking

GEThttps://api.drometra.com/v1/track/{token}

No session required: anyone with the link can open it.

Road parameters

tokenmandatorystring

Response · 200

  • objectalways
  • objectalways
  • stateenum: pending | on_the_way | arriving | delivered | failedalways
  • object o nullalways
  • etaNotestring o nullalways
  • stopsBeforeinteger o nullalways
  • object o nullalways
  • object o nullalways
  • closedAtstring · date-time o nullalways
  • refreshSecondsintegeralways

It can respond with error 404, 429, 503. The error body is explained in Concepts.

request
curl -X GET "https://api.drometra.com/v1/track/<token>" \
  -H "Accept: application / json"
response · 200
{
  "company": {
    "name": "…"
  },
  "order": {
    "reference": "…"
  },
  "state": "pending",
  "eta": {
    "from": "2026-10-21T14:02:31Z",
    "to": "2026-10-21T14:02:31Z",
    "label": "…"
  },
  "etaNote": "…",
  "stopsBefore": 25,
  "driver": {
    "firstName": "…"
  },
  "approximatePosition": {
    "latitude": 0,
    "longitude": 0,
    "updatedAt": "2026-10-21T14:02:31Z"
  },
  "closedAt": "2026-10-21T14:02:31Z",
  "refreshSeconds": 165
}

Open the tracking page

GEThttps://api.drometra.com/t/{token}

No session required: anyone with the link can open it.

Road parameters

tokenmandatorystring

It can respond with error 404, 429. The error body is explained in Concepts.

request
curl -X GET "https://api.drometra.com/t/<token>" \
  -H "Accept: application / json"
response · 200
(text/html)